import{s as nr,o as ar,n as Vt}from"../chunks/scheduler.9f522b10.js";import{S as sr,i as or,g as d,s,r as $,A as lr,h as p,f as t,c as o,j as k,u as c,k as N,y as i,a as l,v as f,d as g,t as z,w as u,x as _}from"../chunks/index.192f26f8.js";import{D as C}from"../chunks/Docstring.d6b83c09.js";import{T as ir,M as Bt}from"../chunks/TokenizersLanguageContent.585b569a.js";import{H as T,E as mr}from"../chunks/EditOnGithub.6d5e7de4.js";function dr(D){let n,v,r,h,b,S,F="BertNormalizer",O,y,J=`Takes care of normalizing raw text before giving it to a Bert model.
This includes cleaning the text, handling accents, chinese chars and lowercasing`,E,P,m,x,I,vt,xe,Kt="Lowercase Normalizer",Be,Q,Ke,V,X,xt,_e,Mt="NFC Unicode Normalizer",Me,Y,He,B,Z,_t,be,Ht="NFD Unicode Normalizer",Re,ee,Ue,K,te,bt,ke,Rt="NFKC Unicode Normalizer",je,re,We,M,ne,kt,Ne,Ut="NFKD Unicode Normalizer",Ge,ae,Oe,H,se,Nt,we,jt="Nmt normalizer",Je,oe,Qe,w,le,wt,Ce,Wt="Base class for all normalizers",Ct,ye,Gt=`This class is not supposed to be instantiated directly. Instead, any implementation of a
Normalizer will return an instance of this class when instantiated.`,yt,q,ie,Tt,Te,Ot="Normalize a <code>NormalizedString</code> in-place",Dt,De,Jt=`This method allows to modify a <code>NormalizedString</code> to
keep track of the alignment information. If you just want to see the result
of the normalization on a raw string, you can use
<code>normalize_str()</code>`,Pt,L,me,St,Pe,Qt="Normalize the given string",Ft,Se,Xt=`This method provides a way to visualize the effect of a
<a href="/docs/tokenizers/pr_1542/en/api/normalizers#tokenizers.normalizers.Normalizer">Normalizer</a> but it does not keep track of the alignment
information. If you need to get/convert offsets, you can use
<code>normalize()</code>`,Xe,de,Ye,R,pe,Et,Fe,Yt=`Precompiled normalizer
Don’t use manually it is used for compatiblity for SentencePiece.`,Ze,$e,et,U,ce,It,Ee,Zt="Replace normalizer",tt,fe,rt,j,ge,qt,Ie,er=`Allows concatenating multiple other Normalizer as a Sequence.
All the normalizers run in sequence in the given order`,nt,ze,at,W,ue,Lt,qe,tr="Strip normalizer",st,he,ot,G,ve,At,Le,rr="StripAccents normalizer",lt;return n=new T({props:{title:"BertNormalizer",local:"tokenizers.normalizers.BertNormalizer",headingTag:"h2"}}),h=new C({props:{name:"class tokenizers.normalizers.BertNormalizer",anchor:"tokenizers.normalizers.BertNormalizer",parameters:[{name:"clean_text",val:" = True"},{name:"handle_chinese_chars",val:" = True"},{name:"strip_accents",val:" = None"},{name:"lowercase",val:" = True"}],parametersDescription:[{anchor:"tokenizers.normalizers.BertNormalizer.clean_text",description:`<strong>clean_text</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to clean the text, by removing any control characters
and replacing all whitespaces by the classic one.`,name:"clean_text"},{anchor:"tokenizers.normalizers.BertNormalizer.handle_chinese_chars",description:`<strong>handle_chinese_chars</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to handle chinese chars by putting spaces around them.`,name:"handle_chinese_chars"},{anchor:"tokenizers.normalizers.BertNormalizer.strip_accents",description:`<strong>strip_accents</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether to strip all accents. If this option is not specified (ie == None),
then it will be determined by the value for <em>lowercase</em> (as in the original Bert).`,name:"strip_accents"},{anchor:"tokenizers.normalizers.BertNormalizer.lowercase",description:`<strong>lowercase</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to lowercase.`,name:"lowercase"}]}}),P=new T({props:{title:"Lowercase",local:"tokenizers.normalizers.Lowercase",headingTag:"h2"}}),I=new C({props:{name:"class tokenizers.normalizers.Lowercase",anchor:"tokenizers.normalizers.Lowercase",parameters:[]}}),Q=new T({props:{title:"NFC",local:"tokenizers.normalizers.NFC",headingTag:"h2"}}),X=new C({props:{name:"class tokenizers.normalizers.NFC",anchor:"tokenizers.normalizers.NFC",parameters:[]}}),Y=new T({props:{title:"NFD",local:"tokenizers.normalizers.NFD",headingTag:"h2"}}),Z=new C({props:{name:"class tokenizers.normalizers.NFD",anchor:"tokenizers.normalizers.NFD",parameters:[]}}),ee=new T({props:{title:"NFKC",local:"tokenizers.normalizers.NFKC",headingTag:"h2"}}),te=new C({props:{name:"class tokenizers.normalizers.NFKC",anchor:"tokenizers.normalizers.NFKC",parameters:[]}}),re=new T({props:{title:"NFKD",local:"tokenizers.normalizers.NFKD",headingTag:"h2"}}),ne=new C({props:{name:"class tokenizers.normalizers.NFKD",anchor:"tokenizers.normalizers.NFKD",parameters:[]}}),ae=new T({props:{title:"Nmt",local:"tokenizers.normalizers.Nmt",headingTag:"h2"}}),se=new C({props:{name:"class tokenizers.normalizers.Nmt",anchor:"tokenizers.normalizers.Nmt",parameters:[]}}),oe=new T({props:{title:"Normalizer",local:"tokenizers.normalizers.Normalizer",headingTag:"h2"}}),le=new C({props:{name:"class tokenizers.normalizers.Normalizer",anchor:"tokenizers.normalizers.Normalizer",parameters:""}}),ie=new C({props:{name:"normalize",anchor:"tokenizers.normalizers.Normalizer.normalize",parameters:[{name:"normalized",val:""}],parametersDescription:[{anchor:"tokenizers.normalizers.Normalizer.normalize.normalized",description:`<strong>normalized</strong> (<code>NormalizedString</code>) &#x2014;
The normalized string on which to apply this
<a href="/docs/tokenizers/pr_1542/en/api/normalizers#tokenizers.normalizers.Normalizer">Normalizer</a>`,name:"normalized"}]}}),me=new C({props:{name:"normalize_str",anchor:"tokenizers.normalizers.Normalizer.normalize_str",parameters:[{name:"sequence",val:""}],parametersDescription:[{anchor:"tokenizers.normalizers.Normalizer.normalize_str.sequence",description:`<strong>sequence</strong> (<code>str</code>) &#x2014;
A string to normalize`,name:"sequence"}],returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A string after normalization</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>str</code></p>
`}}),de=new T({props:{title:"Precompiled",local:"tokenizers.normalizers.Precompiled",headingTag:"h2"}}),pe=new C({props:{name:"class tokenizers.normalizers.Precompiled",anchor:"tokenizers.normalizers.Precompiled",parameters:[{name:"precompiled_charsmap",val:""}]}}),$e=new T({props:{title:"Replace",local:"tokenizers.normalizers.Replace",headingTag:"h2"}}),ce=new C({props:{name:"class tokenizers.normalizers.Replace",anchor:"tokenizers.normalizers.Replace",parameters:[{name:"pattern",val:""},{name:"content",val:""}]}}),fe=new T({props:{title:"Sequence",local:"tokenizers.normalizers.Sequence",headingTag:"h2"}}),ge=new C({props:{name:"class tokenizers.normalizers.Sequence",anchor:"tokenizers.normalizers.Sequence",parameters:"",parametersDescription:[{anchor:"tokenizers.normalizers.Sequence.normalizers",description:`<strong>normalizers</strong> (<code>List[Normalizer]</code>) &#x2014;
A list of Normalizer to be run as a sequence`,name:"normalizers"}]}}),ze=new T({props:{title:"Strip",local:"tokenizers.normalizers.Strip",headingTag:"h2"}}),ue=new C({props:{name:"class tokenizers.normalizers.Strip",anchor:"tokenizers.normalizers.Strip",parameters:[{name:"left",val:" = True"},{name:"right",val:" = True"}]}}),he=new T({props:{title:"StripAccents",local:"tokenizers.normalizers.StripAccents",headingTag:"h2"}}),ve=new C({props:{name:"class tokenizers.normalizers.StripAccents",anchor:"tokenizers.normalizers.StripAccents",parameters:[]}}),{c(){$(n.$$.fragment),v=s(),r=d("div"),$(h.$$.fragment),b=s(),S=d("p"),S.textContent=F,O=s(),y=d("p"),y.textContent=J,E=s(),$(P.$$.fragment),m=s(),x=d("div"),$(I.$$.fragment),vt=s(),xe=d("p"),xe.textContent=Kt,Be=s(),$(Q.$$.fragment),Ke=s(),V=d("div"),$(X.$$.fragment),xt=s(),_e=d("p"),_e.textContent=Mt,Me=s(),$(Y.$$.fragment),He=s(),B=d("div"),$(Z.$$.fragment),_t=s(),be=d("p"),be.textContent=Ht,Re=s(),$(ee.$$.fragment),Ue=s(),K=d("div"),$(te.$$.fragment),bt=s(),ke=d("p"),ke.textContent=Rt,je=s(),$(re.$$.fragment),We=s(),M=d("div"),$(ne.$$.fragment),kt=s(),Ne=d("p"),Ne.textContent=Ut,Ge=s(),$(ae.$$.fragment),Oe=s(),H=d("div"),$(se.$$.fragment),Nt=s(),we=d("p"),we.textContent=jt,Je=s(),$(oe.$$.fragment),Qe=s(),w=d("div"),$(le.$$.fragment),wt=s(),Ce=d("p"),Ce.textContent=Wt,Ct=s(),ye=d("p"),ye.textContent=Gt,yt=s(),q=d("div"),$(ie.$$.fragment),Tt=s(),Te=d("p"),Te.innerHTML=Ot,Dt=s(),De=d("p"),De.innerHTML=Jt,Pt=s(),L=d("div"),$(me.$$.fragment),St=s(),Pe=d("p"),Pe.textContent=Qt,Ft=s(),Se=d("p"),Se.innerHTML=Xt,Xe=s(),$(de.$$.fragment),Ye=s(),R=d("div"),$(pe.$$.fragment),Et=s(),Fe=d("p"),Fe.textContent=Yt,Ze=s(),$($e.$$.fragment),et=s(),U=d("div"),$(ce.$$.fragment),It=s(),Ee=d("p"),Ee.textContent=Zt,tt=s(),$(fe.$$.fragment),rt=s(),j=d("div"),$(ge.$$.fragment),qt=s(),Ie=d("p"),Ie.textContent=er,nt=s(),$(ze.$$.fragment),at=s(),W=d("div"),$(ue.$$.fragment),Lt=s(),qe=d("p"),qe.textContent=tr,st=s(),$(he.$$.fragment),ot=s(),G=d("div"),$(ve.$$.fragment),At=s(),Le=d("p"),Le.textContent=rr,this.h()},l(e){c(n.$$.fragment,e),v=o(e),r=p(e,"DIV",{class:!0});var a=k(r);c(h.$$.fragment,a),b=o(a),S=p(a,"P",{"data-svelte-h":!0}),_(S)!=="svelte-kgfnlo"&&(S.textContent=F),O=o(a),y=p(a,"P",{"data-svelte-h":!0}),_(y)!=="svelte-ma12ts"&&(y.textContent=J),a.forEach(t),E=o(e),c(P.$$.fragment,e),m=o(e),x=p(e,"DIV",{class:!0});var it=k(x);c(I.$$.fragment,it),vt=o(it),xe=p(it,"P",{"data-svelte-h":!0}),_(xe)!=="svelte-1ws8pdc"&&(xe.textContent=Kt),it.forEach(t),Be=o(e),c(Q.$$.fragment,e),Ke=o(e),V=p(e,"DIV",{class:!0});var mt=k(V);c(X.$$.fragment,mt),xt=o(mt),_e=p(mt,"P",{"data-svelte-h":!0}),_(_e)!=="svelte-199ec7z"&&(_e.textContent=Mt),mt.forEach(t),Me=o(e),c(Y.$$.fragment,e),He=o(e),B=p(e,"DIV",{class:!0});var dt=k(B);c(Z.$$.fragment,dt),_t=o(dt),be=p(dt,"P",{"data-svelte-h":!0}),_(be)!=="svelte-17uaov6"&&(be.textContent=Ht),dt.forEach(t),Re=o(e),c(ee.$$.fragment,e),Ue=o(e),K=p(e,"DIV",{class:!0});var pt=k(K);c(te.$$.fragment,pt),bt=o(pt),ke=p(pt,"P",{"data-svelte-h":!0}),_(ke)!=="svelte-1mvgix8"&&(ke.textContent=Rt),pt.forEach(t),je=o(e),c(re.$$.fragment,e),We=o(e),M=p(e,"DIV",{class:!0});var $t=k(M);c(ne.$$.fragment,$t),kt=o($t),Ne=p($t,"P",{"data-svelte-h":!0}),_(Ne)!=="svelte-dyixwr"&&(Ne.textContent=Ut),$t.forEach(t),Ge=o(e),c(ae.$$.fragment,e),Oe=o(e),H=p(e,"DIV",{class:!0});var ct=k(H);c(se.$$.fragment,ct),Nt=o(ct),we=p(ct,"P",{"data-svelte-h":!0}),_(we)!=="svelte-1isyure"&&(we.textContent=jt),ct.forEach(t),Je=o(e),c(oe.$$.fragment,e),Qe=o(e),w=p(e,"DIV",{class:!0});var A=k(w);c(le.$$.fragment,A),wt=o(A),Ce=p(A,"P",{"data-svelte-h":!0}),_(Ce)!=="svelte-1jpqc6v"&&(Ce.textContent=Wt),Ct=o(A),ye=p(A,"P",{"data-svelte-h":!0}),_(ye)!=="svelte-ne1itq"&&(ye.textContent=Gt),yt=o(A),q=p(A,"DIV",{class:!0});var Ae=k(q);c(ie.$$.fragment,Ae),Tt=o(Ae),Te=p(Ae,"P",{"data-svelte-h":!0}),_(Te)!=="svelte-a9bu3y"&&(Te.innerHTML=Ot),Dt=o(Ae),De=p(Ae,"P",{"data-svelte-h":!0}),_(De)!=="svelte-599qjf"&&(De.innerHTML=Jt),Ae.forEach(t),Pt=o(A),L=p(A,"DIV",{class:!0});var Ve=k(L);c(me.$$.fragment,Ve),St=o(Ve),Pe=p(Ve,"P",{"data-svelte-h":!0}),_(Pe)!=="svelte-1hrxycy"&&(Pe.textContent=Qt),Ft=o(Ve),Se=p(Ve,"P",{"data-svelte-h":!0}),_(Se)!=="svelte-geld3m"&&(Se.innerHTML=Xt),Ve.forEach(t),A.forEach(t),Xe=o(e),c(de.$$.fragment,e),Ye=o(e),R=p(e,"DIV",{class:!0});var ft=k(R);c(pe.$$.fragment,ft),Et=o(ft),Fe=p(ft,"P",{"data-svelte-h":!0}),_(Fe)!=="svelte-bhl1r5"&&(Fe.textContent=Yt),ft.forEach(t),Ze=o(e),c($e.$$.fragment,e),et=o(e),U=p(e,"DIV",{class:!0});var gt=k(U);c(ce.$$.fragment,gt),It=o(gt),Ee=p(gt,"P",{"data-svelte-h":!0}),_(Ee)!=="svelte-1s88uyt"&&(Ee.textContent=Zt),gt.forEach(t),tt=o(e),c(fe.$$.fragment,e),rt=o(e),j=p(e,"DIV",{class:!0});var zt=k(j);c(ge.$$.fragment,zt),qt=o(zt),Ie=p(zt,"P",{"data-svelte-h":!0}),_(Ie)!=="svelte-105zdm9"&&(Ie.textContent=er),zt.forEach(t),nt=o(e),c(ze.$$.fragment,e),at=o(e),W=p(e,"DIV",{class:!0});var ut=k(W);c(ue.$$.fragment,ut),Lt=o(ut),qe=p(ut,"P",{"data-svelte-h":!0}),_(qe)!=="svelte-1279gw7"&&(qe.textContent=tr),ut.forEach(t),st=o(e),c(he.$$.fragment,e),ot=o(e),G=p(e,"DIV",{class:!0});var ht=k(G);c(ve.$$.fragment,ht),At=o(ht),Le=p(ht,"P",{"data-svelte-h":!0}),_(Le)!=="svelte-7kf6fw"&&(Le.textContent=rr),ht.forEach(t),this.h()},h(){N(r,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,a){f(n,e,a),l(e,v,a),l(e,r,a),f(h,r,null),i(r,b),i(r,S),i(r,O),i(r,y),l(e,E,a),f(P,e,a),l(e,m,a),l(e,x,a),f(I,x,null),i(x,vt),i(x,xe),l(e,Be,a),f(Q,e,a),l(e,Ke,a),l(e,V,a),f(X,V,null),i(V,xt),i(V,_e),l(e,Me,a),f(Y,e,a),l(e,He,a),l(e,B,a),f(Z,B,null),i(B,_t),i(B,be),l(e,Re,a),f(ee,e,a),l(e,Ue,a),l(e,K,a),f(te,K,null),i(K,bt),i(K,ke),l(e,je,a),f(re,e,a),l(e,We,a),l(e,M,a),f(ne,M,null),i(M,kt),i(M,Ne),l(e,Ge,a),f(ae,e,a),l(e,Oe,a),l(e,H,a),f(se,H,null),i(H,Nt),i(H,we),l(e,Je,a),f(oe,e,a),l(e,Qe,a),l(e,w,a),f(le,w,null),i(w,wt),i(w,Ce),i(w,Ct),i(w,ye),i(w,yt),i(w,q),f(ie,q,null),i(q,Tt),i(q,Te),i(q,Dt),i(q,De),i(w,Pt),i(w,L),f(me,L,null),i(L,St),i(L,Pe),i(L,Ft),i(L,Se),l(e,Xe,a),f(de,e,a),l(e,Ye,a),l(e,R,a),f(pe,R,null),i(R,Et),i(R,Fe),l(e,Ze,a),f($e,e,a),l(e,et,a),l(e,U,a),f(ce,U,null),i(U,It),i(U,Ee),l(e,tt,a),f(fe,e,a),l(e,rt,a),l(e,j,a),f(ge,j,null),i(j,qt),i(j,Ie),l(e,nt,a),f(ze,e,a),l(e,at,a),l(e,W,a),f(ue,W,null),i(W,Lt),i(W,qe),l(e,st,a),f(he,e,a),l(e,ot,a),l(e,G,a),f(ve,G,null),i(G,At),i(G,Le),lt=!0},p:Vt,i(e){lt||(g(n.$$.fragment,e),g(h.$$.fragment,e),g(P.$$.fragment,e),g(I.$$.fragment,e),g(Q.$$.fragment,e),g(X.$$.fragment,e),g(Y.$$.fragment,e),g(Z.$$.fragment,e),g(ee.$$.fragment,e),g(te.$$.fragment,e),g(re.$$.fragment,e),g(ne.$$.fragment,e),g(ae.$$.fragment,e),g(se.$$.fragment,e),g(oe.$$.fragment,e),g(le.$$.fragment,e),g(ie.$$.fragment,e),g(me.$$.fragment,e),g(de.$$.fragment,e),g(pe.$$.fragment,e),g($e.$$.fragment,e),g(ce.$$.fragment,e),g(fe.$$.fragment,e),g(ge.$$.fragment,e),g(ze.$$.fragment,e),g(ue.$$.fragment,e),g(he.$$.fragment,e),g(ve.$$.fragment,e),lt=!0)},o(e){z(n.$$.fragment,e),z(h.$$.fragment,e),z(P.$$.fragment,e),z(I.$$.fragment,e),z(Q.$$.fragment,e),z(X.$$.fragment,e),z(Y.$$.fragment,e),z(Z.$$.fragment,e),z(ee.$$.fragment,e),z(te.$$.fragment,e),z(re.$$.fragment,e),z(ne.$$.fragment,e),z(ae.$$.fragment,e),z(se.$$.fragment,e),z(oe.$$.fragment,e),z(le.$$.fragment,e),z(ie.$$.fragment,e),z(me.$$.fragment,e),z(de.$$.fragment,e),z(pe.$$.fragment,e),z($e.$$.fragment,e),z(ce.$$.fragment,e),z(fe.$$.fragment,e),z(ge.$$.fragment,e),z(ze.$$.fragment,e),z(ue.$$.fragment,e),z(he.$$.fragment,e),z(ve.$$.fragment,e),lt=!1},d(e){e&&(t(v),t(r),t(E),t(m),t(x),t(Be),t(Ke),t(V),t(Me),t(He),t(B),t(Re),t(Ue),t(K),t(je),t(We),t(M),t(Ge),t(Oe),t(H),t(Je),t(Qe),t(w),t(Xe),t(Ye),t(R),t(Ze),t(et),t(U),t(tt),t(rt),t(j),t(nt),t(at),t(W),t(st),t(ot),t(G)),u(n,e),u(h),u(P,e),u(I),u(Q,e),u(X),u(Y,e),u(Z),u(ee,e),u(te),u(re,e),u(ne),u(ae,e),u(se),u(oe,e),u(le),u(ie),u(me),u(de,e),u(pe),u($e,e),u(ce),u(fe,e),u(ge),u(ze,e),u(ue),u(he,e),u(ve)}}}function pr(D){let n,v;return n=new Bt({props:{$$slots:{default:[dr]},$$scope:{ctx:D}}}),{c(){$(n.$$.fragment)},l(r){c(n.$$.fragment,r)},m(r,h){f(n,r,h),v=!0},p(r,h){const b={};h&2&&(b.$$scope={dirty:h,ctx:r}),n.$set(b)},i(r){v||(g(n.$$.fragment,r),v=!0)},o(r){z(n.$$.fragment,r),v=!1},d(r){u(n,r)}}}function $r(D){let n,v='The Rust API Reference is available directly on the <a href="https://docs.rs/tokenizers/latest/tokenizers/" rel="nofollow">Docs.rs</a> website.';return{c(){n=d("p"),n.innerHTML=v},l(r){n=p(r,"P",{"data-svelte-h":!0}),_(n)!=="svelte-4ytcyb"&&(n.innerHTML=v)},m(r,h){l(r,n,h)},p:Vt,d(r){r&&t(n)}}}function cr(D){let n,v;return n=new Bt({props:{$$slots:{default:[$r]},$$scope:{ctx:D}}}),{c(){$(n.$$.fragment)},l(r){c(n.$$.fragment,r)},m(r,h){f(n,r,h),v=!0},p(r,h){const b={};h&2&&(b.$$scope={dirty:h,ctx:r}),n.$set(b)},i(r){v||(g(n.$$.fragment,r),v=!0)},o(r){z(n.$$.fragment,r),v=!1},d(r){u(n,r)}}}function fr(D){let n,v="The node API has not been documented yet.";return{c(){n=d("p"),n.textContent=v},l(r){n=p(r,"P",{"data-svelte-h":!0}),_(n)!=="svelte-1mrchm6"&&(n.textContent=v)},m(r,h){l(r,n,h)},p:Vt,d(r){r&&t(n)}}}function gr(D){let n,v;return n=new Bt({props:{$$slots:{default:[fr]},$$scope:{ctx:D}}}),{c(){$(n.$$.fragment)},l(r){c(n.$$.fragment,r)},m(r,h){f(n,r,h),v=!0},p(r,h){const b={};h&2&&(b.$$scope={dirty:h,ctx:r}),n.$set(b)},i(r){v||(g(n.$$.fragment,r),v=!0)},o(r){z(n.$$.fragment,r),v=!1},d(r){u(n,r)}}}function zr(D){let n,v,r,h,b,S,F,O,y,J,E,P;return b=new T({props:{title:"Normalizers",local:"normalizers",headingTag:"h1"}}),F=new ir({props:{python:!0,rust:!0,node:!0,$$slots:{node:[gr],rust:[cr],python:[pr]},$$scope:{ctx:D}}}),y=new mr({props:{source:"https://github.com/huggingface/tokenizers/blob/main/docs/source-doc-builder/api/normalizers.mdx"}}),{c(){n=d("meta"),v=s(),r=d("p"),h=s(),$(b.$$.fragment),S=s(),$(F.$$.fragment),O=s(),$(y.$$.fragment),J=s(),E=d("p"),this.h()},l(m){const x=lr("svelte-u9bgzb",document.head);n=p(x,"META",{name:!0,content:!0}),x.forEach(t),v=o(m),r=p(m,"P",{}),k(r).forEach(t),h=o(m),c(b.$$.fragment,m),S=o(m),c(F.$$.fragment,m),O=o(m),c(y.$$.fragment,m),J=o(m),E=p(m,"P",{}),k(E).forEach(t),this.h()},h(){N(n,"name","hf:doc:metadata"),N(n,"content",ur)},m(m,x){i(document.head,n),l(m,v,x),l(m,r,x),l(m,h,x),f(b,m,x),l(m,S,x),f(F,m,x),l(m,O,x),f(y,m,x),l(m,J,x),l(m,E,x),P=!0},p(m,[x]){const I={};x&2&&(I.$$scope={dirty:x,ctx:m}),F.$set(I)},i(m){P||(g(b.$$.fragment,m),g(F.$$.fragment,m),g(y.$$.fragment,m),P=!0)},o(m){z(b.$$.fragment,m),z(F.$$.fragment,m),z(y.$$.fragment,m),P=!1},d(m){m&&(t(v),t(r),t(h),t(S),t(O),t(J),t(E)),t(n),u(b,m),u(F,m),u(y,m)}}}const ur='{"title":"Normalizers","local":"normalizers","sections":[{"title":"BertNormalizer","local":"tokenizers.normalizers.BertNormalizer","sections":[],"depth":2},{"title":"Lowercase","local":"tokenizers.normalizers.Lowercase","sections":[],"depth":2},{"title":"NFC","local":"tokenizers.normalizers.NFC","sections":[],"depth":2},{"title":"NFD","local":"tokenizers.normalizers.NFD","sections":[],"depth":2},{"title":"NFKC","local":"tokenizers.normalizers.NFKC","sections":[],"depth":2},{"title":"NFKD","local":"tokenizers.normalizers.NFKD","sections":[],"depth":2},{"title":"Nmt","local":"tokenizers.normalizers.Nmt","sections":[],"depth":2},{"title":"Normalizer","local":"tokenizers.normalizers.Normalizer","sections":[],"depth":2},{"title":"Precompiled","local":"tokenizers.normalizers.Precompiled","sections":[],"depth":2},{"title":"Replace","local":"tokenizers.normalizers.Replace","sections":[],"depth":2},{"title":"Sequence","local":"tokenizers.normalizers.Sequence","sections":[],"depth":2},{"title":"Strip","local":"tokenizers.normalizers.Strip","sections":[],"depth":2},{"title":"StripAccents","local":"tokenizers.normalizers.StripAccents","sections":[],"depth":2}],"depth":1}';function hr(D){return ar(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Nr extends sr{constructor(n){super(),or(this,n,hr,zr,nr,{})}}export{Nr as component};
